Subject: Re: [PATCH net-next 0/2] net: phy: fixed_phy: add helper fixed_phy_register_100fd

From: Jakub Kicinski <[email-masked]>
Date: Tue, 21 Oct 2025 18:20:21 -0700

On Fri, 17 Oct 2025 22:11:44 +0200 Heiner Kallweit wrote:
> In few places a 100FD fixed PHY is used. Create a helper so that users
> don't have to define the struct fixed_phy_status. First user is the
> dsa loop driver. A follow-up series will remove the usage of
> fixed_phy_add() from bcm47xx and coldfire/m5272, then this helper
> will be used too.

Not knowing the area too well it looks like struct fixed_phy_status
is an argument struct to make it easier to add / pass thru extra
attrs without having to modify all the callers. This series goes
in the opposite direction trying to make the callers not have to
declare the argument struct.

When reading the code it may also be easier to graps the code if 
the definition is local vs having to look at fixed_phy_register_100fd()
Granted the function name kinda makes it obvious what it does.

Lastly: 19 insertions(+), 6 deletions(-)

So the improvement here is not immediately obvious to me.
Maybe it'd be easier to appreciate this series if it was in one
piece with what you mentioned as a follow up?